package persistance

import (
	"crypto/md5"
	"database/sql"
	"encoding/hex"
)

type TaskManagerRepository struct {
	db *sql.DB
}

func NewTaskManager(db *sql.DB) *TaskManagerRepository {
	return &TaskManagerRepository{db: db}
}

func GetMD5Hash(text string) string {
	hash := md5.Sum([]byte(text))
	return hex.EncodeToString(hash[:])
}
